;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux autoconf package

(if (not (file-exists-p "/usr/share/emacs/site-lisp/autoconf"))
    (message "Package autoconf removed but not purged.  Skipping setup.")
  (debian-pkg-add-load-path-item
   (concat "/usr/share/" (symbol-name flavor) "/site-lisp/autoconf"))

  ;; Make sure that the uncompiled files are also in the load-path, near the
  ;; end.  This is for moving point to the code when view help.
  (setq load-path (nconc load-path 
                         (list "/usr/share/emacs/site-lisp/autoconf")))

  ;; autoloads for autoconf-mode.el
  (autoload 'autoconf-mode "autoconf-mode"
    "Major mode for editing autoconf files." t)
  (setq auto-mode-alist
	(cons '("\\.ac\\'\\|configure\\.in\\'" . autoconf-mode)
	      auto-mode-alist))

  ;; autoloads for autotest-mode.el
  (autoload 'autotest-mode "autotest-mode"
    "Major mode for editing autotest files." t)
  (setq auto-mode-alist
        (cons '("\\.at\\'" . autotest-mode) auto-mode-alist)))
